# elfHeader Struct Reference

`#include <elf.h>`

## Data Fields

uInt8 | eIdent [16]
uInt16 | eType
uInt16 | eMachine
uInt32 | eVersion
uInt32 | eEntry
uInt32 | ePhoff
uInt32 | eShoff
uInt32 | eFlags
uInt16 | eEhsize
uInt16 | ePhentsize
uInt16 | ePhnum
uInt16 | eShentsize
uInt16 | eShnum
uInt16 | eShstrndx

## Field Documentation

uInt16 elfHeader::eEhsize

| Size of ELF header in bytes.

uInt32 elfHeader::eEntry

| Entry point.

uInt32 elfHeader::eFlags

| Architecture-specific flags.

uInt8 elfHeader::eIdent[16]

| File identification.

uInt16 elfHeader::eMachine

| Machine architecture.

uInt16 elfHeader::ePhentsize

| Size of program header entry.

uInt16 elfHeader::ePhnum

| Number of program header entries.

uInt32 elfHeader::ePhoff

| Program header file offset.

uInt16 elfHeader::eShentsize

| Size of section header entry.

uInt16 elfHeader::eShnum

| Number of section header entries.

uInt32 elfHeader::eShoff

| Section header file offset.

uInt16 elfHeader::eShstrndx

| Section name strings section.

uInt16 elfHeader::eType

| File type.

uInt32 elfHeader::eVersion

| ELF format version.

The documentation for this struct was generated from the following file:

- elf.h